com.hazelcast.config

## Class SymmetricEncryptionConfig

- java.lang.Object
- - com.hazelcast.config.SymmetricEncryptionConfig

-     public class SymmetricEncryptionConfig
      extends Object

  Contains configuration for symmetric encryption

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_SYMMETRIC_PASSWORD` Default symmetric encryption password
    `static String` | `DEFAULT_SYMMETRIC_SALT` Default symmetric encryption salt

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymmetricEncryptionConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `int` | `getIterationCount()`
    `byte[]` | `getKey()`
    `String` | `getPassword()`
    `String` | `getSalt()`
    `boolean` | `isEnabled()`
    `SymmetricEncryptionConfig` | `setAlgorithm(String algorithm)`
    `SymmetricEncryptionConfig` | `setEnabled(boolean enabled)`
    `SymmetricEncryptionConfig` | `setIterationCount(int iterationCount)`
    `SymmetricEncryptionConfig` | `setKey(byte[] key)`
    `SymmetricEncryptionConfig` | `setPassword(String password)`
    `SymmetricEncryptionConfig` | `setSalt(String salt)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SYMMETRIC_PASSWORD

          public static final String DEFAULT_SYMMETRIC_PASSWORD

      Default symmetric encryption password
      See Also:
        Constant Field Values

    - #### DEFAULT_SYMMETRIC_SALT

          public static final String DEFAULT_SYMMETRIC_SALT

      Default symmetric encryption salt
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SymmetricEncryptionConfig

          public SymmetricEncryptionConfig()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public SymmetricEncryptionConfig setEnabled(boolean enabled)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public SymmetricEncryptionConfig setAlgorithm(String algorithm)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public SymmetricEncryptionConfig setPassword(String password)

    - #### getSalt

          public String getSalt()

    - #### setSalt

          public SymmetricEncryptionConfig setSalt(String salt)

    - #### getIterationCount

          public int getIterationCount()

    - #### setIterationCount

          public SymmetricEncryptionConfig setIterationCount(int iterationCount)

    - #### getKey

          public byte[] getKey()

    - #### setKey

          public SymmetricEncryptionConfig setKey(byte[] key)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.